GENSNMPDEF(1)

NAME
gensnmpdef - generate a MIB description file from MIBs

SYNOPSIS
gensnmpdef [-hEe] [-c cut] name [...]

DESCRIPTION
The gensnmpdef utility is used to create an initial MIB description file from one or more MIBs. The description file must be edited to be actually useful for feeding it into gensnmptree(1).

The following options are available:

-c cut
    Specify the number of initial sub-oids that should be omitted from the tree in the output. gensnmptree(1) automatically adds 1.3.6 in front of all OIDs so the default value of 3 is just correct in most cases.

-E  Generate typedefs for named enumerations. These are enumerations defined via the TEXTUAL-CONVENTION macro. The normal tree output is suppressed.

-e  Generate typedefs for unnamed enumerations. These are enumerations defined in the SYNTAX clause of an OBJECT-TYPE macro. The name of the enumeration is formed by appending the string ‘Type’ to the name of the object. The normal tree output is suppressed.

-h  Print a short help text and exit.

gensnmpdef does no attempt on sorting the OID tree so in case of complex and non-standard MIBs it is necessary to sort the tree in the resulting definition file by hand.

SEE ALSO
snmpd(1)

AUTHORS
Hartmut Brandt <harti@FreeBSD.org>

BUGS
The utility is by no means bullet-proof and may fail for complex or non-standard MIBs. Its output is expected to be edited by hand.